/*
 Theme Name:   DCK Indonesia Theme
 Theme URI:    https://generatepress.com
 Description:  Built as GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

@import url('https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Titillium+Web&display=swap');

body {
	font-family: 'Titillium Web', sans-serif;
	--main-background-color: #D60E18;
	--bold-font-family: 'Bebas Neue', sans-serif;
}

body.woocommerce-page {
	background-color: #f0f0f0;
}

h1,
h2,
h3,
h4 {
	font-family: 'Bebas Neue', sans-serif;
}


h5 h6,
b {
	font-weight: 700;
}

a {
	color: black;
}

.woocommerce .woocommerce-breadcrumb {
	margin: 1rem 0;
}

.woocommerce-products-header__title .page-title {
	padding: 1rem 0;
}

.footer-widgets .widget :last-child
{
  margin-bottom: auto;
}

.woocommerce .woocommerce-breadcrumb {
	padding: 1rem 0;
}

.children-drop-shadow-hover {
	transition: all 300ms;
}

.children-drop-shadow-hover:hover {
	box-shadow: 0 0 10px rgba(0,0,0,0.125);
	transform: scale(1.05);
}

.site-header,
.footer-widgets,
.main-navigation ul,
.main-navigation ul ul {
	background: var(--main-background-color);
}

.site-header {
	position: sticky;
	top: 0;
	z-index: 100;
}

.footer-widgets {
	background: black;
}

.site-info {
	background: var(--main-background-color);
	color: white;
}

.product .inside-article .entry-content {
  margin-top: 0;
}

.footer-widgets,
.footer-widgets a,
.site-info a {
	color: white;
}

.main-navigation {
	background-color: transparent;
}


.main-navigation .main-nav ul li>a {
	font-family: 'Bebas Neue', sans-serif;
	font-size: 1.2rem;
	letter-spacing: 1px;
	color: rgba(255, 255, 255, 0.75);
}
.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover > a, .
main-navigation .main-nav ul li:not([class*="current-menu-"]):focus > a, 
.main-navigation .main-nav ul li.sfHover:not([class*="current-menu-"]) > a, 
.main-navigation .menu-bar-item:hover > a, .main-navigation .menu-bar-item.sfHover > a
.main-navigation .main-nav ul li>a:visited {
	color: rgba(255, 255, 255, 0.75);
}

.main-navigation .main-nav ul li[class*="current-menu-"]>a,
.main-navigation .main-nav ul li:not([class*="current-menu-"]):hover>a {
	color: white;
}


.nav-float-right #site-navigation {
	margin-right: auto;
	margin-left: 1rem;
}

#off-canvas-control-3 {
	display: none;
}

.gp-icon svg {
	fill: white;
}

#mobile-menu-control-wrapper .menu-toggle {
	padding: 0 1rem;
}

.woocommerce .woocommerce-result-count {
	margin-top: 0.5rem;
	margin-bottom: 0;
}

.wp-block-search__inside-wrapper {
	flex-wrap: nowrap;
	justify-content: space-between;
}

.wp-block-search__inside-wrapper {
	max-width: 250px;
	max-height: 30px;
}

.wp-block-search__inside-wrapper .wp-block-search__input {
	width: 75%
}

.wp-block-search__inside-wrapper .wp-block-search__button {
	padding: 0;
	background-color: transparent;
	width: 30px;
	height: 30px;
	display: flex;
	flex-direction: column;
	align-content: center;
	justify-content: center;
}

.wp-block-search__inside-wrapper .wp-block-search__button img {
	padding: 4px;
}

#ocs-woocommerce-filters {
	background-color: white;
	color: black;
	box-shadow: 0 0 10px
}

.woocommerce ul.products li.product .button.product_type_external {
	display: none;
}


#off-canvas-control-5 {
	display: none;
}

.mobile-filter-product {
	padding: 0.5rem;
	border: 1px solid black;
	display: flex;
	align-items: center;
}

.mobile-filter-product .dashicons {
	margin-right: 0.5rem;
}

.external-shop-button {
	display: block;
	padding: 1rem;
	margin: 1rem 0;
	color: white;
	background-color: black;
	font-weight: bold;
	max-width: 300px;
	text-align: center;
	text-decoration: none;
	position: relative;
    transition: all 0.3s;
}

.external-shop-button::before {
content: '';
  width: 2rem;
  height: 2rem;
  left: 2.4rem;
  position: absolute;
  background-size: auto 100%;
  background-position: center;
  background-repeat: no-repeat;
  top: 50%;
  transform: translateY(-50%);
}

.external-shop-button:active {
	color: white;
}


.external-shop-button:hover {
	box-shadow: 0 0 10px rgba(0,0,0,0.5);
	transform: scale(1.05);
	color: white;
}

.external-shop-button.tokopedia {
	background-color: #00AA5B;
}

.external-shop-button.lazada {
	background-color: #0F146D;
}

.external-shop-button.lazada::before {
  background-image: url('./logo-lazada.png');
}

.external-shop-button.tokopedia::before {
  background-image: url('./logo-tokopedia.png');
}


.external-shop-button.shopee::before {
  background-image: url('./logo-shopee.png');
}

.external-shop-button.shopee {
	background-color: #ee4d2d;
}

.dropdown-menu-toggle svg {
  	position: absolute;
  	top: 50%;
  	transform: translateY(-50%);
}

.woocommerce div.product .woocommerce-tabs ul.tabs {
	display: none;
}

.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
	padding: 1rem;
	background-color: white;
	text-align: center;
}

.new-arrivals-block figure {
	text-align: center;
}

.new-arrivals-block figure img {
	height: 150px;
	width: auto;
}


/* LIMIT PRODUCT IMAGE WIDTH IN CATALOG PAGE  */

.woocommerce-thumbnail-wrapper {
	height: 9rem;
	padding: 1rem;
	display: flex;
	justify-content: center;
	align-items: center;
}

.woocommerce ul.products li.product a  .woocommerce-thumbnail-wrapper img {
    max-width:100%;
    max-height:100%;
	margin: auto;
}

/* LIMIT PRODUCT IMAGE WIDTH IN PRODUCT PAGE  */

.single.single-product .woocommerce-product-gallery__image {
		width: auto;
		margin: auto;
}
 
.single.single-product .woocommerce-product-gallery__image a img {
    max-width: 320px;
		width: auto;
		margin: auto;
}

/* PRICE COLOR */

.woocommerce:where(body:not(.woocommerce-uses-block-theme)) ul.products li.product .price,
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product p.price, .woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product span.price{
	color: black;
}

.awf-togglable-preset-btn,
button.awf-reset-btn {
	background-color: var(--main-background-color);
	font-family: var(--bold-font-family);
	width: 100%;
}

.awf-togglable-preset-close-btn span {
	display: none;
}

.awf-togglable-preset-btn:hover,
button.awf-reset-btn:hover {
	background-color: black;
}

.site-header .header-image {
	height: 30px;
	width: auto;
}

.woocommerce ul.products li.product a img {
	max-height: 150px;
	width: auto;
	margin: auto;
}

.separate-containers .inside-article {
	padding-top: 0;
	padding-bottom: 0;
}

.inside-header {
	padding: 0 40px;
}

#left-sidebar .inside-left-sidebar {
	position: sticky;
	top: 60px;
}

.woocommerce nav.woocommerce-pagination ul {
	border: none;
}

.woocommerce nav.woocommerce-pagination ul li {
	border-right: none;
	font-family: var( --bold-font-family);
}

.woocommerce nav.woocommerce-pagination ul li a:focus, 
.woocommerce nav.woocommerce-pagination ul li a:hover, 
.woocommerce nav.woocommerce-pagination ul li span.current {
	background: var(--main-background-color);
  	color: white;
}



.woocommerce-page ul.products li.product {
    transition: all 0.3s;
	height: 275px;
}

.woocommerce-page ul.products li.product:hover {
	text-decoration: underline;
}

.woocommerce .woocommerce-ordering select {
	background: white;
}

.separate-containers .site-main {
	margin-top: 0;
	margin-bottom: 0;
}

.woocommerce-archive-wrapper .inside-article {
	margin-top: 20px;
	margin-bottom: 20px;
  	padding-top: 20px;
}

.wp-block-button {
	font-family: 'Bebas Neue', sans-serif	
}

.page-template-default.separate-containers .inside-article {
	padding-top: 0;
	padding-bottom: 0;
}

.home.page-template-default.separate-containers .inside-article {
	padding-top: 0 !important;
}

.woocommerce-archive-wrapper .woocommerce-breadcrumb {
	display: none;
}

input[type="text"].awf-terms-search {
	text-align: left;
}

@media (max-width: 1440px) {
	.inside-header {
		padding: 0;
	}
}


@media (max-width: 768px) {
	.woocommerce-archive-wrapper .inside-article {
		margin-top: 0;
	}
	.main-navigation .inside-navigation {
		width: 100vw;
		position: absolute;
		left: 0;
	}

	.has-inline-mobile-toggle .inside-header {
		flex-direction: row;
		text-align: left;
		flex-wrap: wrap;
		padding: 0 20px;
		max-height: 60px;
		z-index: 10;
	}

	.has-inline-mobile-toggle #site-navigation.toggled {
		margin-top: 0;
		margin-left: 0;
	}

	.header-widget {
		display: none;
	}

	#off-canvas-control-5 {
		display: block;
	}

	.site-content {
		flex-direction: column-reverse;
	}

	#left-sidebar .WOOF_Widget {
		display: none;
	}

	#off-canvas-control-3 {
		display: block;
		padding: 0.5rem 0;
		margin: 0;
	}

	#left-sidebar {
		height: 0;
		z-index: 1000000;
	}


	#left-sidebar .inside-left-sidebar {
		margin: 0;
	}

	#left-sidebar .inside-left-sidebar .off_canvas_control {
		padding-top: 1rem;
		padding-bottom: 1rem;
		border-bottom: 1px solid black;
	}

	.separate-containers .inside-article,
	.separate-containers .comments-area,
	.separate-containers .page-header,
	.separate-containers .paging-navigation,
	.one-container .site-content,
	.inside-page-header {
		padding-top: 0;
	}

	.woocommerce .woocommerce-ordering,
	.woocommerce-page .woocommerce-ordering {
		text-align: right;
	}


	.wp-block-search__inside-wrapper {
		max-width: unset;
	}

	.woocommerce .woocommerce-ordering select {
		margin: 1rem 0;
		width: 100%;
	}

	.widget-area .widget {
		padding: 0;
	}

	.awf-togglable-preset-btn {
		position: sticky;
		top: 64px;
		left: 0;
		width: 100%;
		text-align: center;
		z-index: 1;
	}

	.awf-togglable-preset.awf-left-popup-sidebar-mode,
	.awf-togglable-preset-mode-on .awf-togglable-on-s-preset.awf-left-popup-sidebar-mode {
		transition: none;
	}
}

/* MEGA MENU START */

@media (min-width: 769px) {
	nav .main-nav .mega-menu {
		position: static;
	}

	nav .main-nav .mega-menu>ul {
		position: fixed;
		width: 1200px;
		transform: translateX(-50%);
		left: 50% !important;
		padding: 20px 40px;
		display: flex;
		justify-content: center;
		flex-wrap: wrap;
		top: 60px;
	}
	
	body.admin-bar .site-header {
		top: 32px;
	}
		
	body.admin-bar nav .main-nav .mega-menu>ul  {
		top: 92px;
	}

	nav .main-nav .mega-menu>ul::before {
		content: "";
		width: 100vw;
		height: 100%;
		background-color: var(--main-background-color);
		position: absolute;
		top: 0;
		box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
	}

	nav .main-nav .mega-menu>ul>li>a {
		font-size: 1rem;
		text-transform: uppercase;
	}

	nav .main-nav .mega-menu>ul>li {
		display: inline-block;
		width: 25%;
		vertical-align: top;
	}

	nav .main-nav .mega-menu.mega-menu-col-2>ul>li {
		width: 50%;
	}

	nav .main-nav .mega-menu.mega-menu-col-3>ul>li {
		width: 33.3333%;
	}

	nav .main-nav .mega-menu.mega-menu-col-5>ul>li {
		width: 20%;
	}

	nav .main-nav .mega-menu>ul>li:hover>a,
	nav .main-nav .mega-menu>ul>li:focus>a,
	nav .main-nav .mega-menu>ul>li[class*="current-"]>a,
	nav .main-nav .mega-menu ul ul {
		background-color: transparent !important;
		color: white;
	}

	nav .main-nav .mega-menu ul .sub-menu {
		position: static;
		display: block;
		opacity: 1;
		visibility: visible;
		box-shadow: 0 0 0;
		padding: 20px 0;
		height: auto;
		pointer-events: auto;
		transform: scale(1);
	}


	nav .main-nav .mega-menu ul.toggled-on .sub-menu {
		pointer-events: auto;
	}

	nav .main-nav .mega-menu .sub-menu .menu-item-has-children .dropdown-menu-toggle {
		display: none;
	}
}

.awf-preset-title,
.awf-filter-title {
	font-family: 'Bebas Neue', sans-serif;
	color: black;
	padding: 0.5rem 0;
}

.awf-filter-title-container .awf-collapse-btn::before {
	top: 50%;
	transform: translateY(-50%);
}

.awf-filter-wrapper:not(.awf-dropdown).awf-collapsed .awf-collapse-btn::before {
	transform: translateY(-50%) scaleY(-1) rotate(90deg);
}